version: "3.8"
services:
  grafana_ifood:
    container_name: grafana_ifood
    image: grafana/grafana:9.3.1
    network_mode: "host"
  jaeger_ifood:
    container_name: jaeger_ifood
    image: jaegertracing/all-in-one:1.40
    ports:
      - "6831:6831/udp"
      - "6832:6832/udp"
      - "5778:5778"
      - "16686:16686"
      - "4317:4317"
      - "4318:4318"
      - "14250:14250"
      - "14268:14268"
      - "14269:14269"
      - "9411:9411"
  keycloak_ifood:
    container_name: keycloak_ifood
    image: jboss/keycloak:16.1.1
    environment:
      KEYCLOAK_USER: admin
      KEYCLOAK_PASSWORD: admin
      KEYCLOAK_IMPORT: "/tmp/realm-export.json -Dkeycloak.profile.feature.upload_scripts=enabled"
    volumes:
      - ./configs/keycloak/local/realm-export.json:/tmp/realm-export.json
    ports:
      - "8180:8080"
  postgres_cadastro_ifood:
    container_name: postgres_cadastro_ifood
    image: postgres:15.1-alpine
    environment:
      POSTGRES_USER: cadastro
      POSTGRES_PASSWORD: cadastro
    ports:
      - "5432:5432"
  postgres_marketplace_ifood:
    container_name: postgres_cadastro_ifood
    image: postgres:15.1-alpine
    environment:
      POSTGRES_USER: marketplace
      POSTGRES_PASSWORD: marketplace
    ports:
      - "5433:5432"
  prometheus_ifood:
    container_name: prometheus_ifood
    image: prometheus-ifood
    network_mode: "host"
